<template>
  <div class="eifel_home">
    <!-- 头部导航栏 -->
    <van-nav-bar style="background-color: #528abe">
      <template #left>
        <div @click="pageBack" style="display: flex; align-items: center">
          <van-icon name="arrow-left" size="18" />
          <span>{{$t('selectPage.index.TR')}}</span>
        </div>
      </template>
      <template #title>
        <label style="color: #ffffff">{{$t('indexPage.pipelineLoss.TR')}}</label>
      </template>
      <template #right> </template>
    </van-nav-bar>
    <!-- 中间内容部分 -->
    <div class="main-box">
      <div class="main-flex-box">
        <div style="width: 100%">
          <van-grid :column-num="2">
            <div class></div>
            <van-grid-item @click="youRuKouYaLi">
              <div class="img-item">
                <img src="./images/YouXiShuiYangCheng.png" />
              </div>
              <p>{{$t('pipeLoss.withSuctionHead.TR')}}</p>
            </van-grid-item>
            <van-grid-item @click="chouxi">
              <div class="img-item">
                <img src="./images/ChouXi.png" />
              </div>
              <p>{{$t('pipeLoss.suctionSystem.TR')}}</p>
            </van-grid-item>
            <van-grid-item>
              <div class="img-item" @click="QianShui">
                <img src="./images/QianShuiBeng.png" />
              </div>
              <p>{{$t('pipeLoss.divingSystem.TR')}}</p>
            </van-grid-item>
            <van-grid-item @click="XunHuan">
              <div class="img-item">
                <img src="./images/XunHuan.png" />
              </div>
              <p>{{$t('pipeLoss.circulatorySystem.TR')}}</p>
            </van-grid-item>
            <van-grid-item>
              <div class="img-item" @click="JianYiJiSuan">
                <img src="./images/RefDevidChen.png" />
              </div>
              <p>{{$t('pipeLoss.simpleCalculation.TR')}}</p>
            </van-grid-item>

            <!-- <van-grid-item>
              <div class="img-box" @click="navigatorToHangYe">
                <img src="static/img/Icon/eifel/SeriesListHY.png" />
              </div>
              <p>行业应用</p>
            </van-grid-item> -->
          </van-grid>
        </div>
      </div>
    </div>
    <!-- 底部 -->
    <!-- <nav id="footerBar" class="tang-footer">技术支持：上海义维流体科技有限公司</nav> -->
  </div>
</template>

<script>
// @ is an alias to /src
import { Toast, Dialog } from "vant";
import languageMixin from "@/mixin/language";
export default {
  mixins: [languageMixin],
  name: "Home",
  data() {
    return {
      show: false,
      activeNames: [0],
      m_Title: "",
      isShowLogin: true,
    };
  },
  created() {
    this.m_Title =  this.getSoftName();
    document.title = this.m_Title
    let userID = this.$store.state.instante.account.UserID;
  },
  methods: {
    youRuKouYaLi() {
      this.gotoPage("/PipeLoss/YouRuKouYaLi","",null)
    },
    chouxi() {
      this.gotoPage("/PipeLoss/ChouXi","",null)
    },
    QianShui() {
      this.gotoPage("/PipeLoss/QianShui","",null)
    },
    XunHuan() {
      this.gotoPage("/PipeLoss/XunHuan","",null)
    },
    JianYiJiSuan() {
      this.gotoPage("/PipeLoss/RefDevidChen","",null)
    },
    //返回上一页
    pageBack() {
      this.gotoPage("/Index","",null)
    },
  },
};
</script>
<style lang="scss">
.eifel_home {
  height: 100%;
  width: 100%;
  font-size: 14px;
  .main-box {
    height: calc(100vh - 86px);
    .main-flex-box {
      width: 100%;
      height: 100%;
      display: flex;
      flex-wrap: wrap;
      align-content: flex-start;
      .img-item {
        height: 5rem !important;
        width: unset !important;
        img {
          height: 100%;
          width: 100%;
        }
      }
    }
  }
  .slider-title {
    position: absolute;
    line-height: 30px;
    font-size: 14px;
    background: #000000;
    color: #ffffff;
    z-index: 10;
    bottom: 0px;
    margin: 0px;
    width: 100%;
    text-align: start;
    opacity: 0.7;
  }
}
</style>
